Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.frameworks
Interface FrameworkConstants

public interface FrameworkConstants

FrameworkConstants

Version:
  $Id: FrameworkConstants.java 517068 2007-03-12 01:44:37Z ate $
Author:
  David Sean Taylor

Field Summary
`static String` | `BRIDGES_ACTION` Use this post parameter name for your actions
`static String` | `FORWARD_TOOL` The name of the forward tool
`static String` | `MODEL_TOOL`
`static String` | `PREFS_VARIABLE` The name of the prefs variable
`static String` | `VIEW_EDIT_MODE` Current view for edit mode
`static String` | `VIEW_HELP_MODE` Current view for help mode
`static String` | `VIEW_VIEW_MODE` Current view for view mode

Field Detail

### BRIDGES_ACTION

    public static final String BRIDGES_ACTION

  Use this post parameter name for your actions

  See Also:
    Constant Field Values

### FORWARD_TOOL

    public static final String FORWARD_TOOL

  The name of the forward tool

  See Also:
    Constant Field Values

### MODEL_TOOL

    public static final String MODEL_TOOL

See Also:
  Constant Field Values

### PREFS_VARIABLE

    public static final String PREFS_VARIABLE

  The name of the prefs variable

  See Also:
    Constant Field Values

### VIEW_VIEW_MODE

    public static final String VIEW_VIEW_MODE

  Current view for view mode

  See Also:
    Constant Field Values

### VIEW_EDIT_MODE

    public static final String VIEW_EDIT_MODE

  Current view for edit mode

  See Also:
    Constant Field Values

### VIEW_HELP_MODE

    public static final String VIEW_HELP_MODE

  Current view for help mode

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.